Archived

This topic is now archived and is closed to further replies.

Bray

FSX SDK and updates

Recommended Posts

I have reinstalled FSX on new system, then did the SP1 and the SP2 for FSX. All is wellI am correct that I can install the SDK (original), then the SDK SP1A and last of all FSX SDK SP2 update, in that sequence?Many thanksBill

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Wow that means I have to do it all over and install the SDK between FSX SP1 and FSX Sp2? Dont know if its worth all that workThanks for the reply NickBill

Share this post


Link to post
Share on other sites

Bill.. those lists were made for people who are clean installingI dont know how yours went in but look at the lists and see if you can extrapolate from them how the SDk needs to be installedThey may have better info at the fsinsider web site too so check there as wellThere is a difference between the Acceleration SP2 and the SP2 SDK and there is a correct way to install it as I recall depending on what support you would like.

Share this post


Link to post
Share on other sites

NickIt was a clean original install. I got a new PC with Vista and then installed FSX, FSX SP1 and FSX SP2. I now realize I have some use for the SDK in order to use FSX planner to modify airports.I really would hate to have to do the entire thing all over again. I could not find any clear instrcutions or sequence over at fsinsider but I will check again and other forumsReally appreciate your helpThanksBill

Share this post


Link to post
Share on other sites

Hi BillIf you already installed the SDKs and if you think something is out of order you do not need to reinstall FSX... just uninstall and reinstall the SDK's in the correct order for the support you want.If you want SP2 SDK support without Acceleration just follow the list to install the SDK's as posted

Share this post


Link to post
Share on other sites

NickI have not installed any SDK yet, only FSX up to SP2. No acceleration either.So you think its ok to go ahead and install the SDK from the DVD then bring that (SDK) up to date with SDK SP1A and SDK SP2?ThanksBill

Share this post


Link to post
Share on other sites

Yes sir!Sounds like you will be just fine!The installs will give you instructions as you progress, in other words when you install the next level they will automatically uninstall what they need to to update as you go

Share this post


Link to post
Share on other sites

Don't quote me on this :) but I think all the SDK updates do is file replacement, though there is IIRC a software registry entry. So you can install SDK updates independent of how you updated FSX, as long as in the end you have a compatible version of SDK for your FSX. Now, once you are done updating you can edit dll.xml as needed, The only other thing I can think of is buried in the simconnect portion of the SDK is simconnect.msi and I wouldn't run that until AFTER you complete all your updates. (You shouldn't have to unless you want to run simconnect on a second, networked computer.) scott s..

Share this post


Link to post
Share on other sites

Just a note of thanks again to Nick and Scott. I installed the SDK with all the updates and all is well. No problemsCheersBill

Share this post


Link to post
Share on other sites